/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

const REQUEST_BODY_TYPES = ['application/json', 'multipart/form-data'];

export const getSchemaType = (requestBody) => {
	let schemaType = '';

	if (requestBody) {
		const {content} = requestBody;

		let schema = {};

		REQUEST_BODY_TYPES.forEach((type) => {
			if (content[type]) {
				schema = content[type].schema;
			}
		});

		if (schema['$ref']) {
			schemaType = schema['$ref'].replace('#/components/schemas/', '');
		}
		else {
			schemaType = schema.type;
		}
	}

	return schemaType;
};

export const stringify = (json) => {
	return JSON.stringify(json, null, 4);
};
